OpenTTD Source: Data Fields - Functions

OpenTTD Source 14.0-beta3

### - f -

- Failed() : CommandCost
- FallbackParagraphLayout() : FallbackParagraphLayout
- FallbackVisualRun() : FallbackParagraphLayout::FallbackVisualRun
- Filename() : FiosNumberedSaveName
- FileReader() : FileReader
- FileStringReader() : FileStringReader
- FileWriter() : FileWriter
- FillCrashLog() : CrashLog
- FillSetDetails() : BaseSet< T, Tnum_files, Tsearch_in_tars >
- FillWidgetLookup() : NWidgetBackground , NWidgetBase , NWidgetContainer , NWidgetCore , NWidgetMatrix , NWidgetNewGRFDisplay , NWidgetSocialPlugins , NWidgetSpacer , NWidgetStacked
- Filter() : GUIList< T, P, F >
- FilterByText() : BuildVehicleWindow
- FilterContentList() : NetworkContentListWindow
- FilterEngineList() : BuildVehicleWindow
- FilterSignList() : SignList
- FilterSingleEngine() : BuildVehicleWindow
- FilterType() : GUIList< T, P, F >
- FilterVehicleList() : BaseVehicleListWindow
- Finalise() : FileWriter , HeaderFileWriter , HeaderWriter , LanguageFileWriter , LanguageWriter , StringNameWriter , TranslationWriter
- Finalize() : GRFParameterInfo
- FinalizeLocalConsumption() : FlowStatMap
- FinalizeParameterInfo() : GRFConfig
- FinalizeRefitAction() : FinalizeRefitAction
- Find() : CHashTableSlotT< Titem_ > , CHashTableT< Titem_, Thash_bits_ > , StringData
- FindClosedNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- FindClosestDepot() : Aircraft , RoadVehicle , Ship , Train , Vehicle
- FindContained() : Kdtree< T, TxyFunc, CoordT, DistT >
- FindCycleFlow() : MCF1stPass
- FindDepotData() : FindDepotData
- FindEntry() : BaseSettingEntry , SettingsContainer , SettingsPage
- FindHyperlinksInMarkdown() : TextfileWindow
- FindIndex() : CBinaryHeapT< T >
- FindInfo() : AI , AIConfig , AIScannerInfo , Game , GameConfig , GameScannerInfo , ScriptConfig
- FindItem() : FileList
- FindKnownName() : DumpTarget
- FindLibrary() : AI , AIInstance , AIScannerLibrary , Game , GameInstance , GameScannerLibrary , ScriptInstance
- FindMainScript() : ScriptScanner
- FindMissingGlyphs() : MissingGlyphSearcher
- FindNearest() : Kdtree< T, TxyFunc, CoordT, DistT >
- FindNearestDepot() : CYapfFollowRoadT< Types >
- FindNearestRecursive() : Kdtree< T, TxyFunc, CoordT, DistT >
- FindNode() : Hash
- FindOpenNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- FindPath() : CYapfBaseT< Types >
- FindSafePositionOnNode() : CYapfReserveTrack< Types >
- FindSets() : BaseMedia< Tbase_set >
- FindTrainOnTrackInfo() : FindTrainOnTrackInfo
- FindWindowPlacementAndResize() : Window
- Finish() : FileWriter , LZMASaveFilter , PacketWriter , SaveFilter , ZlibSaveFilter
- FinishInitNested() : Window
- FiosFileScanner() : FiosFileScanner
- FiosNumberedSaveName() : FiosNumberedSaveName
- First() : SpecializedVehicle< T, Type > , Vehicle
- FirstFreeSubArray() : SmallArray< T, B, N >
- FirstShared() : Vehicle
- FitAvailableHeight() : DropdownWindow
- FixedSizeArray() : FixedSizeArray< T, C >
- FixPointers() : BKORChunkHandler , CAPYChunkHandler , CHKPChunkHandler , ChunkHandler , CITYChunkHandler , DEPTChunkHandler , ERNWChunkHandler , INDYChunkHandler , LGRSChunkHandler , OBJSChunkHandler , ORDLChunkHandler , ORDRChunkHandler , PLYRChunkHandler , ROADChunkHandler , SaveLoadHandler , STNNChunkHandler , STNSChunkHandler , VEHSChunkHandler
- Flow() : LinkGraphJob::EdgeAnnotation
- FlowEdgeIterator() : FlowEdgeIterator
- FlowMapper() : FlowMapper
- FlowStat() : FlowStat
- Flush() : CSegmentCostCacheT< Tsegment > , MemoryDumper , UnmappedChoiceList
- FoldAll() : SettingsContainer , SettingsPage
- Follow() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- FollowTileExit() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- Font() : Font
- FontCache() : FontCache
- ForcedReverse() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- ForceRebuild() : GUIList< T, P, F >
- ForceRefresh() : SmallMapWindow
- ForceResort() : GUIList< T, P, F >
- ForceUpdate() : WaterRegion
- Fork() : Path
- FormatValue() : BoolSettingDesc , IntSettingDesc , ListSettingDesc , ManyOfManySettingDesc , NullSettingDesc , OneOfManySettingDesc , SettingDesc , StringSettingDesc
- FoundBestNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- Free() : AyStar , BinaryHeap , Order
- FreeBay() : RoadStop
- FreeChain() : OrderList
- FreeSubtree() : Kdtree< T, TxyFunc, CoordT, DistT >
- FreeTranslation() : LangString , StringData
- FreeTypeFontCache() : FreeTypeFontCache
- FreeUnitIDGenerator() : FreeUnitIDGenerator
- From() : SpecializedStation< T, Tis_waypoint > , SpecializedVehicle< T, Type >
- FromDisplay() : UnitConversion